#if !defined(AFX_ADDMASTERHOLIDAY_H__441D4A7A_5893_4838_9D84_5510C2E973D2__INCLUDED_)
#define AFX_ADDMASTERHOLIDAY_H__441D4A7A_5893_4838_9D84_5510C2E973D2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// AddMasterHoliday.h : header file
//
/////////////////////////////////////////////////////////////////////////////
// CAddMasterHoliday dialog

class CAddMasterHoliday : public CDialog
{
// Construction
public:
	CAddMasterHoliday(CWnd* pParent = NULL);   // standard constructor
	CAddMasterHoliday(IApplication *pApp, BOOL bMaster = TRUE);
// Dialog Data
	//{{AFX_DATA(CAddMasterHoliday)
	enum { IDD = IDD_ADD_MASTERHOLIDAY };
	CComboBox	m_HGList;
	CComboBox	m_AcctList;
	CButton	m_Holiday1;
	CButton	m_Holiday2;
	CString	m_sMasterHolidayName;
	BOOL	m_bEveryYear;
	BOOL	m_bMaster;
	CButton	m_Holiday3;
	CString	m_sHGName;
	long	m_lDay;
	long	m_lMonth;
	long	m_lYear;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAddMasterHoliday)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CAddMasterHoliday)
	afx_msg void OnButtonAdd();
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeAcct();
	afx_msg void OnSelchangeHGList();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	IApplicationPtr pApplication;
	IMasterHolidayPtr	pMasterHol;

	void LoadAccounts();
	void LoadHolidayGroups();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ADDMASTERHOLIDAY_H__441D4A7A_5893_4838_9D84_5510C2E973D2__INCLUDED_)
